## rocm-hipamd 7.1.0

=== debian/changelog ===
rocm-hipamd (7.1.0-0ubuntu2) resolute; urgency=medium

  * Closes new upstream version release bug (LP: #2138791)
  * d/watch: fix watch script
  * d/{control, tests/control}: update build dependencies to llvm-21
  * d/libamdhip64-7.symbols: fix incorrect MISSING tags for hip_X.Y symbols
  * d/rules: use DPKG_GENSYMBOLS_CHECK_LEVEL instead of overriding dh_makeshlibs
  * d/tests/{cmake-hip-config, cmake-hip-lang}: fix ROCM_CLANG_PREFIX.
    Since we are using upstream llvm as toolchaing to build whole stack we
    need to point clang++ from upstream llvm-21
  * d/tests/cmake-hip-module: fix autopkgtest failure, eplicitly state
    HIP_ROOT_DIR

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Sun, 01 Feb 2026 21:22:58 +0300

rocm-hipamd (7.1.0-0ubuntu1) resolute; urgency=medium

  * new upstream 7.1.0
    * rebased patches for new upstream version
    * soname bump for libamdhip64-7, libhiprtc7, libhiprtc-builtins7
    * updated symbols files
    * dropped 0008-find-package-minimum-policy.patch
      - upstream is no longer checkign for cmake minimum version
        https://github.com/ROCm/clr/commit/fcaefe97b862afe12aaac0147f1004e6dc595fce
    * dropped 0021-fix-size-mismatch-of-count-type.patch because it
      part of the 7.1.0 release
  * changed build type to RelWithDebInfo
  * d/rules: added cmake option HIP_INSTALLS_HIPCC to allow for dropping some
    patches
  * d/rules: changed compilers to use amdclang, amdclang++
  * added 0022-remove-hardcoded-optrocm-hipamd-cmake.patch to work around
    a hardcoded path

  [ Talha Can Havadar ]
  * d/rules: overrode dh_makeshlibs to make detecting symbol changes easier

 -- Tim Flink <Tim.Flink@amd.com>  Thu, 20 Nov 2025 11:37:49 -0600

rocm-hipamd (6.4.3-4) unstable; urgency=medium

  * Fix AMDGPU_TARGETS deprecation warning in cmake-hip-config autopkgtest
  * Add cmake-hip-module autopkgtest to ensure that FindHIP.cmake works
  * Restore autopkgtests for ensuring that the HIP Runtime is compatible with
    the GCC toolchain

 -- Cordell Bloor <cgmb@debian.org>  Tue, 25 Nov 2025 17:48:51 -0700

rocm-hipamd (6.4.3-1~exp1ubuntu4) UNRELEASED; urgency=medium

  * d/control: update build-deps to use the 7.1 AMD compiler

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 25 Nov 2025 09:53:12 -0300

rocm-hipamd (6.4.3-1~exp1ubuntu3) UNRELEASED; urgency=medium

  * Missing Pkg Depends: libamd-comgr3-rocm
  * d/t/cmake-hip-{config, lang}: Update tests to use clang++ from
    src:llvm-toolchain-rocm

 -- Igor Luppi <igor.luppi@canonical.com>  Mon, 13 Oct 2025 15:14:34 -0300

rocm-hipamd (6.4.3-1~exp1ubuntu2) UNRELEASED; urgency=medium

  * Update Build-Depends from src:llvm-toolchain-rocm to match binaries
    renaming.

 -- Igor Luppi <igor.luppi@canonical.com>  Mon, 13 Oct 2025 09:38:51 -0300

rocm-hipamd (6.4.3-1~exp1ubuntu1) UNRELEASED; urgency=medium

  * Drop d/p/0016-roc-obj-use-llvm-20.patch to use llvm from the
    llvm-toolchain-rocm package
  * Drop d/p/0007-restrict-hiprtc-cmake-search-to-clang-20.patch to use
    clang from the llvm-toolchain-rocm package
  * d/p/0021-dont-change-default-c-cxx-flags.patch: restore default gcc
    flags for c/c++ compilation
  * d/rules: fix path for ROCM_LLVM
  * d/control: update maintainer field for ubuntu archive
  * d/control: update build-deps for llvm-toolchain-rocm

 -- Igor Luppi <igor.luppi@canonical.com>  Mon, 29 Sep 2025 18:03:14 -0300
