=== debian/tests/control ===
Tests: cmake-hip-config, cmake-hip-lang, cmake-hip-module, g++, gcc
Depends: @, cmake, make, gcc, g++, rocminfo (>= 6.1.2~), hipcc, dpkg-dev, clang, rocm-device-libs-21
Restrictions: superficial, skippable
