=== debian/watch ===
Version: 5

Mode: git
Source: https://github.com/rocm/clr.git
Matching-Pattern: refs/tags/rocm-@ANY_VERSION@

Component: hip
Mode: git
Source: https://github.com/rocm/hip.git
Matching-Pattern: refs/tags/rocm-@ANY_VERSION@
Filename-Mangle: auto
